{
  "openapi": "3.0.2",
  "info": {
    "title": "DataSift",
    "version": "2.0",
    "description": "DataSift API provides programmatic access to your real estate data — properties, owners, contacts, tasks, and more.\n\n## Authentication\n\nAll requests require a DataSift **Open API key**, available on plans above Professional. Generate and manage your keys\nfrom your account's integration settings in the DataSift app.\n\nSend the key in the `Authorization` header on every request, using the `Api-Key` scheme:\n\n```\nAuthorization: Api-Key YOUR_OPEN_API_KEY\n```\n\nFor example:\n\n```\ncurl https://apiv2.reisift.io/api/internal/property/ \\\n  -H \"Authorization: Api-Key YOUR_OPEN_API_KEY\"\n```\n\nEach key acts on behalf of the user it was issued for and inherits that user's permissions. Treat it like a password:\nkeep it secret, and rotate or revoke it from the same screen if it is ever exposed."
  },
  "servers": [
    {
      "url": "https://apiv2.reisift.io",
      "description": "Production"
    }
  ],
  "paths": {
    "/api/internal/user/": {
      "get": {
        "summary": "Get user",
        "operationId": "retrieveUser",
        "description": "",
        "parameters": [],
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/User"
                },
                "example": {
                  "uuid": "92192e1c-8335-5493-a973-4fc5d5d2310a",
                  "first_name": "Jane",
                  "last_name": "Smith",
                  "email": "jane.doe@example.com",
                  "phone": null,
                  "street": null,
                  "city": null,
                  "state": null,
                  "postal_code": null,
                  "role": "admin",
                  "balance": 0,
                  "feature_flags": [
                    "skip_trace_cache",
                    "sift_market_finder"
                  ],
                  "addons": [
                    "siftmap_pro",
                    "unlimited_skiptracing"
                  ],
                  "blocked": null,
                  "stripe_customer_id": "REDACTED",
                  "plan_id": "EXAMPLE-17666",
                  "subscription_id": "EXAMPLE-85086",
                  "raaft_token": "REDACTED",
                  "intercom_user_hash": "REDACTED",
                  "is_active": true,
                  "has_business_access": true,
                  "plan_name": "business",
                  "permissions": [
                    "billing_read",
                    "credits_write"
                  ],
                  "company_phone": "+15555550417",
                  "account": "46f6d386-e86d-596e-9202-47c111f079b1",
                  "aircall_user_id": null,
                  "smrtphone_user_id": null,
                  "joined_at": "2025-12-15T09:33:57.030631Z",
                  "billing_address_updated": true,
                  "has_dataflik_integration": true,
                  "dataflik_subscriptions": [
                    "standard"
                  ],
                  "dataflik_ai_counties": [
                    {
                      "name": "Franklin",
                      "code": "12037"
                    },
                    {
                      "name": "Mecklenburg",
                      "code": "37119"
                    }
                  ],
                  "is_trial": false,
                  "auto_update": true,
                  "update_lists": true
                }
              }
            },
            "description": ""
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          },
          "429": {
            "$ref": "#/components/responses/TooManyRequests"
          },
          "500": {
            "$ref": "#/components/responses/ServerError"
          }
        },
        "tags": [
          "User"
        ]
      }
    },
    "/api/internal/account/{uuid}/": {
      "get": {
        "summary": "Get account update",
        "operationId": "retrieveAccountUpdate",
        "description": "",
        "parameters": [
          {
            "name": "uuid",
            "in": "path",
            "required": true,
            "description": "",
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/AccountUpdate"
                }
              }
            },
            "description": ""
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          },
          "404": {
            "$ref": "#/components/responses/NotFound"
          },
          "429": {
            "$ref": "#/components/responses/TooManyRequests"
          },
          "500": {
            "$ref": "#/components/responses/ServerError"
          }
        },
        "tags": [
          "Account"
        ]
      }
    },
    "/api/internal/addon/": {
      "get": {
        "summary": "List addons",
        "operationId": "listAddons",
        "description": "",
        "parameters": [
          {
            "name": "cursor",
            "required": false,
            "in": "query",
            "description": "The pagination cursor value.",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "ordering",
            "required": false,
            "in": "query",
            "description": "Which field to use when ordering the results.",
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "required": [
                    "results"
                  ],
                  "properties": {
                    "next": {
                      "type": "string",
                      "nullable": true,
                      "format": "uri",
                      "example": "http://api.example.org/accounts/?cursor=cD00ODY%3D\""
                    },
                    "previous": {
                      "type": "string",
                      "nullable": true,
                      "format": "uri",
                      "example": "http://api.example.org/accounts/?cursor=cj0xJnA9NDg3"
                    },
                    "results": {
                      "type": "array",
                      "items": {
                        "$ref": "#/components/schemas/Addon"
                      }
                    }
                  }
                },
                "example": {
                  "next": null,
                  "previous": null,
                  "results": [
                    {
                      "type": "unlimited_skiptracing",
                      "description": "Unlimited Skiptracing",
                      "categories": [
                        "skiptracing"
                      ],
                      "pricing": [
                        {
                          "addon": "unlimited_skiptracing",
                          "price": "97.00",
                          "recurrence": "month"
                        }
                      ],
                      "subscribed": true,
                      "active": true,
                      "settings": {
                        "auto_skip_new_records": true,
                        "auto_reskip_after_days": null
                      },
                      "included_in_plan": true
                    },
                    {
                      "type": "siftmap_pro",
                      "description": "SiftMap Pro",
                      "categories": [
                        "sift_map"
                      ],
                      "pricing": [
                        {
                          "addon": "siftmap_pro",
                          "price": "297.00",
                          "recurrence": "month"
                        }
                      ],
                      "subscribed": true,
                      "active": true,
                      "settings": {},
                      "included_in_plan": true
                    }
                  ]
                }
              }
            },
            "description": ""
          },
          "400": {
            "$ref": "#/components/responses/BadRequest"
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          },
          "429": {
            "$ref": "#/components/responses/TooManyRequests"
          },
          "500": {
            "$ref": "#/components/responses/ServerError"
          }
        },
        "tags": [
          "Addons"
        ]
      }
    },
    "/api/internal/addon/{type}/": {
      "get": {
        "summary": "Get addon",
        "operationId": "retrieveAddon",
        "description": "",
        "parameters": [
          {
            "name": "type",
            "in": "path",
            "required": true,
            "description": "",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "ordering",
            "required": false,
            "in": "query",
            "description": "Which field to use when ordering the results.",
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Addon"
                }
              }
            },
            "description": ""
          },
          "400": {
            "$ref": "#/components/responses/BadRequest"
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          },
          "404": {
            "$ref": "#/components/responses/NotFound"
          },
          "429": {
            "$ref": "#/components/responses/TooManyRequests"
          },
          "500": {
            "$ref": "#/components/responses/ServerError"
          }
        },
        "tags": [
          "Addons"
        ]
      }
    },
    "/api/internal/contacts/contact/": {
      "get": {
        "summary": "List contacts",
        "operationId": "listContacts",
        "description": "",
        "parameters": [
          {
            "name": "limit",
            "required": false,
            "in": "query",
            "description": "Number of results to return per page.",
            "schema": {
              "type": "integer"
            }
          },
          {
            "name": "offset",
            "required": false,
            "in": "query",
            "description": "The initial index from which to return the results.",
            "schema": {
              "type": "integer"
            }
          }
        ],
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "required": [
                    "count",
                    "results"
                  ],
                  "properties": {
                    "count": {
                      "type": "integer",
                      "example": 123
                    },
                    "next": {
                      "type": "string",
                      "nullable": true,
                      "format": "uri",
                      "example": "http://api.example.org/accounts/?offset=400&limit=100"
                    },
                    "previous": {
                      "type": "string",
                      "nullable": true,
                      "format": "uri",
                      "example": "http://api.example.org/accounts/?offset=200&limit=100"
                    },
                    "results": {
                      "type": "array",
                      "items": {
                        "$ref": "#/components/schemas/Contact"
                      }
                    }
                  }
                }
              }
            },
            "description": ""
          },
          "400": {
            "$ref": "#/components/responses/BadRequest"
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          },
          "429": {
            "$ref": "#/components/responses/TooManyRequests"
          },
          "500": {
            "$ref": "#/components/responses/ServerError"
          }
        },
        "tags": [
          "Contacts"
        ]
      },
      "post": {
        "summary": "Create contact",
        "operationId": "createContact",
        "description": "",
        "parameters": [],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/Contact"
              }
            },
            "application/x-www-form-urlencoded": {
              "schema": {
                "$ref": "#/components/schemas/Contact"
              }
            }
          }
        },
        "responses": {
          "201": {
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Contact"
                }
              }
            },
            "description": ""
          },
          "400": {
            "$ref": "#/components/responses/BadRequest"
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          },
          "429": {
            "$ref": "#/components/responses/TooManyRequests"
          },
          "500": {
            "$ref": "#/components/responses/ServerError"
          }
        },
        "tags": [
          "Contacts"
        ]
      }
    },
    "/api/internal/contacts/contact/{uuid}/": {
      "get": {
        "summary": "Get contact",
        "operationId": "retrieveContact",
        "description": "",
        "parameters": [
          {
            "name": "uuid",
            "in": "path",
            "required": true,
            "description": "",
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Contact"
                }
              }
            },
            "description": ""
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          },
          "404": {
            "$ref": "#/components/responses/NotFound"
          },
          "429": {
            "$ref": "#/components/responses/TooManyRequests"
          },
          "500": {
            "$ref": "#/components/responses/ServerError"
          }
        },
        "tags": [
          "Contacts"
        ]
      },
      "delete": {
        "summary": "Delete contact",
        "operationId": "destroyContact",
        "description": "",
        "parameters": [
          {
            "name": "uuid",
            "in": "path",
            "required": true,
            "description": "",
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "204": {
            "description": ""
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          },
          "404": {
            "$ref": "#/components/responses/NotFound"
          },
          "429": {
            "$ref": "#/components/responses/TooManyRequests"
          },
          "500": {
            "$ref": "#/components/responses/ServerError"
          }
        },
        "tags": [
          "Contacts"
        ]
      }
    },
    "/api/internal/contacts/tag/": {
      "get": {
        "summary": "List tags (contacts tag)",
        "operationId": "listTags_contacts_tag",
        "description": "",
        "parameters": [
          {
            "name": "limit",
            "required": false,
            "in": "query",
            "description": "Number of results to return per page.",
            "schema": {
              "type": "integer"
            }
          },
          {
            "name": "offset",
            "required": false,
            "in": "query",
            "description": "The initial index from which to return the results.",
            "schema": {
              "type": "integer"
            }
          }
        ],
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "required": [
                    "count",
                    "results"
                  ],
                  "properties": {
                    "count": {
                      "type": "integer",
                      "example": 123
                    },
                    "next": {
                      "type": "string",
                      "nullable": true,
                      "format": "uri",
                      "example": "http://api.example.org/accounts/?offset=400&limit=100"
                    },
                    "previous": {
                      "type": "string",
                      "nullable": true,
                      "format": "uri",
                      "example": "http://api.example.org/accounts/?offset=200&limit=100"
                    },
                    "results": {
                      "type": "array",
                      "items": {
                        "$ref": "#/components/schemas/Tag"
                      }
                    }
                  }
                }
              }
            },
            "description": ""
          },
          "400": {
            "$ref": "#/components/responses/BadRequest"
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          },
          "429": {
            "$ref": "#/components/responses/TooManyRequests"
          },
          "500": {
            "$ref": "#/components/responses/ServerError"
          }
        },
        "tags": [
          "Contact Tags"
        ]
      },
      "post": {
        "summary": "Create tag (contacts tag)",
        "operationId": "createTag_contacts_tag",
        "description": "",
        "parameters": [],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/Tag"
              }
            },
            "application/x-www-form-urlencoded": {
              "schema": {
                "$ref": "#/components/schemas/Tag"
              }
            }
          }
        },
        "responses": {
          "201": {
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Tag"
                }
              }
            },
            "description": ""
          },
          "400": {
            "$ref": "#/components/responses/BadRequest"
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          },
          "429": {
            "$ref": "#/components/responses/TooManyRequests"
          },
          "500": {
            "$ref": "#/components/responses/ServerError"
          }
        },
        "tags": [
          "Contact Tags"
        ]
      }
    },
    "/api/internal/contacts/tag/{uuid}/": {
      "get": {
        "summary": "Get tag (contacts tag)",
        "operationId": "retrieveTag_contacts_tag",
        "description": "",
        "parameters": [
          {
            "name": "uuid",
            "in": "path",
            "required": true,
            "description": "",
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Tag"
                }
              }
            },
            "description": ""
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          },
          "404": {
            "$ref": "#/components/responses/NotFound"
          },
          "429": {
            "$ref": "#/components/responses/TooManyRequests"
          },
          "500": {
            "$ref": "#/components/responses/ServerError"
          }
        },
        "tags": [
          "Contact Tags"
        ]
      },
      "patch": {
        "summary": "Update tag (contacts tag)",
        "operationId": "partialUpdateTag_contacts_tag",
        "description": "",
        "parameters": [
          {
            "name": "uuid",
            "in": "path",
            "required": true,
            "description": "",
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/Tag"
              }
            },
            "application/x-www-form-urlencoded": {
              "schema": {
                "$ref": "#/components/schemas/Tag"
              }
            }
          }
        },
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Tag"
                }
              }
            },
            "description": ""
          },
          "400": {
            "$ref": "#/components/responses/BadRequest"
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          },
          "404": {
            "$ref": "#/components/responses/NotFound"
          },
          "429": {
            "$ref": "#/components/responses/TooManyRequests"
          },
          "500": {
            "$ref": "#/components/responses/ServerError"
          }
        },
        "tags": [
          "Contact Tags"
        ]
      },
      "delete": {
        "summary": "Delete tag (contacts tag)",
        "operationId": "destroyTag_contacts_tag",
        "description": "",
        "parameters": [
          {
            "name": "uuid",
            "in": "path",
            "required": true,
            "description": "",
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "204": {
            "description": ""
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          },
          "404": {
            "$ref": "#/components/responses/NotFound"
          },
          "429": {
            "$ref": "#/components/responses/TooManyRequests"
          },
          "500": {
            "$ref": "#/components/responses/ServerError"
          }
        },
        "tags": [
          "Contact Tags"
        ]
      }
    },
    "/api/internal/contacts/tag/{uuid}/contacts-count/": {
      "get": {
        "summary": "Contacts count tag",
        "operationId": "contactsCountTag",
        "description": "",
        "parameters": [
          {
            "name": "uuid",
            "in": "path",
            "required": true,
            "description": "",
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Contacts carrying this tag.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "count": {
                      "type": "integer"
                    }
                  }
                }
              }
            }
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          },
          "404": {
            "$ref": "#/components/responses/NotFound"
          },
          "429": {
            "$ref": "#/components/responses/TooManyRequests"
          },
          "500": {
            "$ref": "#/components/responses/ServerError"
          }
        },
        "tags": [
          "Contact Tags"
        ]
      }
    },
    "/api/internal/contacts/tag-folder/": {
      "get": {
        "summary": "List tag folders (contacts tag folder)",
        "operationId": "listTagFolders_contacts_tag_folder",
        "description": "",
        "parameters": [
          {
            "name": "limit",
            "required": false,
            "in": "query",
            "description": "Number of results to return per page.",
            "schema": {
              "type": "integer"
            }
          },
          {
            "name": "offset",
            "required": false,
            "in": "query",
            "description": "The initial index from which to return the results.",
            "schema": {
              "type": "integer"
            }
          }
        ],
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "required": [
                    "count",
                    "results"
                  ],
                  "properties": {
                    "count": {
                      "type": "integer",
                      "example": 123
                    },
                    "next": {
                      "type": "string",
                      "nullable": true,
                      "format": "uri",
                      "example": "http://api.example.org/accounts/?offset=400&limit=100"
                    },
                    "previous": {
                      "type": "string",
                      "nullable": true,
                      "format": "uri",
                      "example": "http://api.example.org/accounts/?offset=200&limit=100"
                    },
                    "results": {
                      "type": "array",
                      "items": {
                        "$ref": "#/components/schemas/TagFolder"
                      }
                    }
                  }
                }
              }
            },
            "description": ""
          },
          "400": {
            "$ref": "#/components/responses/BadRequest"
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          },
          "429": {
            "$ref": "#/components/responses/TooManyRequests"
          },
          "500": {
            "$ref": "#/components/responses/ServerError"
          }
        },
        "tags": [
          "Contact Tag Folders"
        ]
      },
      "post": {
        "summary": "Create tag folder (contacts tag folder)",
        "operationId": "createTagFolder_contacts_tag_folder",
        "description": "",
        "parameters": [],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/TagFolder"
              }
            },
            "application/x-www-form-urlencoded": {
              "schema": {
                "$ref": "#/components/schemas/TagFolder"
              }
            }
          }
        },
        "responses": {
          "201": {
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/TagFolder"
                }
              }
            },
            "description": ""
          },
          "400": {
            "$ref": "#/components/responses/BadRequest"
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          },
          "429": {
            "$ref": "#/components/responses/TooManyRequests"
          },
          "500": {
            "$ref": "#/components/responses/ServerError"
          }
        },
        "tags": [
          "Contact Tag Folders"
        ]
      }
    },
    "/api/internal/contacts/tag-folder/{uuid}/": {
      "get": {
        "summary": "Get tag folder (contacts tag folder)",
        "operationId": "retrieveTagFolder_contacts_tag_folder",
        "description": "",
        "parameters": [
          {
            "name": "uuid",
            "in": "path",
            "required": true,
            "description": "",
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/TagFolder"
                }
              }
            },
            "description": ""
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          },
          "404": {
            "$ref": "#/components/responses/NotFound"
          },
          "429": {
            "$ref": "#/components/responses/TooManyRequests"
          },
          "500": {
            "$ref": "#/components/responses/ServerError"
          }
        },
        "tags": [
          "Contact Tag Folders"
        ]
      },
      "put": {
        "summary": "Replace tag folder (contacts tag folder)",
        "operationId": "updateTagFolder_contacts_tag_folder",
        "description": "",
        "parameters": [
          {
            "name": "uuid",
            "in": "path",
            "required": true,
            "description": "",
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/TagFolder"
              }
            },
            "application/x-www-form-urlencoded": {
              "schema": {
                "$ref": "#/components/schemas/TagFolder"
              }
            }
          }
        },
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/TagFolder"
                }
              }
            },
            "description": ""
          },
          "400": {
            "$ref": "#/components/responses/BadRequest"
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          },
          "404": {
            "$ref": "#/components/responses/NotFound"
          },
          "429": {
            "$ref": "#/components/responses/TooManyRequests"
          },
          "500": {
            "$ref": "#/components/responses/ServerError"
          }
        },
        "tags": [
          "Contact Tag Folders"
        ]
      },
      "patch": {
        "summary": "Update tag folder (contacts tag folder)",
        "operationId": "partialUpdateTagFolder_contacts_tag_folder",
        "description": "",
        "parameters": [
          {
            "name": "uuid",
            "in": "path",
            "required": true,
            "description": "",
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/TagFolder"
              }
            },
            "application/x-www-form-urlencoded": {
              "schema": {
                "$ref": "#/components/schemas/TagFolder"
              }
            }
          }
        },
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/TagFolder"
                }
              }
            },
            "description": ""
          },
          "400": {
            "$ref": "#/components/responses/BadRequest"
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          },
          "404": {
            "$ref": "#/components/responses/NotFound"
          },
          "429": {
            "$ref": "#/components/responses/TooManyRequests"
          },
          "500": {
            "$ref": "#/components/responses/ServerError"
          }
        },
        "tags": [
          "Contact Tag Folders"
        ]
      },
      "delete": {
        "summary": "Delete tag folder (contacts tag folder)",
        "operationId": "destroyTagFolder_contacts_tag_folder",
        "description": "",
        "parameters": [
          {
            "name": "uuid",
            "in": "path",
            "required": true,
            "description": "",
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "204": {
            "description": ""
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          },
          "404": {
            "$ref": "#/components/responses/NotFound"
          },
          "429": {
            "$ref": "#/components/responses/TooManyRequests"
          },
          "500": {
            "$ref": "#/components/responses/ServerError"
          }
        },
        "tags": [
          "Contact Tag Folders"
        ]
      }
    },
    "/api/internal/contacts/tag-folder/{folder_uuid}/tag/": {
      "get": {
        "summary": "List tags (contacts tag folder tag)",
        "operationId": "listTags_contacts_tag_folder_tag",
        "description": "",
        "parameters": [
          {
            "name": "folder_uuid",
            "in": "path",
            "required": true,
            "description": "",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "limit",
            "required": false,
            "in": "query",
            "description": "Number of results to return per page.",
            "schema": {
              "type": "integer"
            }
          },
          {
            "name": "offset",
            "required": false,
            "in": "query",
            "description": "The initial index from which to return the results.",
            "schema": {
              "type": "integer"
            }
          }
        ],
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "required": [
                    "count",
                    "results"
                  ],
                  "properties": {
                    "count": {
                      "type": "integer",
                      "example": 123
                    },
                    "next": {
                      "type": "string",
                      "nullable": true,
                      "format": "uri",
                      "example": "http://api.example.org/accounts/?offset=400&limit=100"
                    },
                    "previous": {
                      "type": "string",
                      "nullable": true,
                      "format": "uri",
                      "example": "http://api.example.org/accounts/?offset=200&limit=100"
                    },
                    "results": {
                      "type": "array",
                      "items": {
                        "$ref": "#/components/schemas/Tag"
                      }
                    }
                  }
                }
              }
            },
            "description": ""
          },
          "400": {
            "$ref": "#/components/responses/BadRequest"
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          },
          "404": {
            "$ref": "#/components/responses/NotFound"
          },
          "429": {
            "$ref": "#/components/responses/TooManyRequests"
          },
          "500": {
            "$ref": "#/components/responses/ServerError"
          }
        },
        "tags": [
          "Contact Tags"
        ]
      },
      "post": {
        "summary": "Create tag (contacts tag folder tag)",
        "operationId": "createTag_contacts_tag_folder_tag",
        "description": "",
        "parameters": [
          {
            "name": "folder_uuid",
            "in": "path",
            "required": true,
            "description": "",
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/Tag"
              }
            },
            "application/x-www-form-urlencoded": {
              "schema": {
                "$ref": "#/components/schemas/Tag"
              }
            }
          }
        },
        "responses": {
          "201": {
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Tag"
                }
              }
            },
            "description": ""
          },
          "400": {
            "$ref": "#/components/responses/BadRequest"
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          },
          "404": {
            "$ref": "#/components/responses/NotFound"
          },
          "429": {
            "$ref": "#/components/responses/TooManyRequests"
          },
          "500": {
            "$ref": "#/components/responses/ServerError"
          }
        },
        "tags": [
          "Contact Tags"
        ]
      }
    },
    "/api/internal/contacts/tag-folder/{folder_uuid}/tag/{uuid}/": {
      "get": {
        "summary": "Get tag (contacts tag folder tag)",
        "operationId": "retrieveTag_contacts_tag_folder_tag",
        "description": "",
        "parameters": [
          {
            "name": "folder_uuid",
            "in": "path",
            "required": true,
            "description": "",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "uuid",
            "in": "path",
            "required": true,
            "description": "",
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Tag"
                }
              }
            },
            "description": ""
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          },
          "404": {
            "$ref": "#/components/responses/NotFound"
          },
          "429": {
            "$ref": "#/components/responses/TooManyRequests"
          },
          "500": {
            "$ref": "#/components/responses/ServerError"
          }
        },
        "tags": [
          "Contact Tags"
        ]
      },
      "patch": {
        "summary": "Update tag (contacts tag folder tag)",
        "operationId": "partialUpdateTag_contacts_tag_folder_tag",
        "description": "",
        "parameters": [
          {
            "name": "folder_uuid",
            "in": "path",
            "required": true,
            "description": "",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "uuid",
            "in": "path",
            "required": true,
            "description": "",
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/Tag"
              }
            },
            "application/x-www-form-urlencoded": {
              "schema": {
                "$ref": "#/components/schemas/Tag"
              }
            }
          }
        },
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Tag"
                }
              }
            },
            "description": ""
          },
          "400": {
            "$ref": "#/components/responses/BadRequest"
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          },
          "404": {
            "$ref": "#/components/responses/NotFound"
          },
          "429": {
            "$ref": "#/components/responses/TooManyRequests"
          },
          "500": {
            "$ref": "#/components/responses/ServerError"
          }
        },
        "tags": [
          "Contact Tags"
        ]
      },
      "delete": {
        "summary": "Delete tag (contacts tag folder tag)",
        "operationId": "destroyTag_contacts_tag_folder_tag",
        "description": "",
        "parameters": [
          {
            "name": "folder_uuid",
            "in": "path",
            "required": true,
            "description": "",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "uuid",
            "in": "path",
            "required": true,
            "description": "",
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "204": {
            "description": ""
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          },
          "404": {
            "$ref": "#/components/responses/NotFound"
          },
          "429": {
            "$ref": "#/components/responses/TooManyRequests"
          },
          "500": {
            "$ref": "#/components/responses/ServerError"
          }
        },
        "tags": [
          "Contact Tags"
        ]
      }
    },
    "/api/internal/contacts/tag-folder/{folder_uuid}/tag/{uuid}/contacts-count/": {
      "get": {
        "summary": "Contacts count tag (contacts tag folder tag contacts count)",
        "operationId": "contactsCountTag_contacts_tag_folder_tag_contacts_count",
        "description": "",
        "parameters": [
          {
            "name": "folder_uuid",
            "in": "path",
            "required": true,
            "description": "",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "uuid",
            "in": "path",
            "required": true,
            "description": "",
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Contacts carrying this tag.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "count": {
                      "type": "integer"
                    }
                  }
                }
              }
            }
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          },
          "404": {
            "$ref": "#/components/responses/NotFound"
          },
          "429": {
            "$ref": "#/components/responses/TooManyRequests"
          },
          "500": {
            "$ref": "#/components/responses/ServerError"
          }
        },
        "tags": [
          "Contact Tags"
        ]
      }
    },
    "/api/internal/dashboard/": {
      "get": {
        "summary": "List dashboards",
        "operationId": "listDashboards",
        "description": "",
        "parameters": [
          {
            "name": "limit",
            "required": false,
            "in": "query",
            "description": "Number of results to return per page.",
            "schema": {
              "type": "integer"
            }
          },
          {
            "name": "offset",
            "required": false,
            "in": "query",
            "description": "The initial index from which to return the results.",
            "schema": {
              "type": "integer"
            }
          }
        ],
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "required": [
                    "count",
                    "results"
                  ],
                  "properties": {
                    "count": {
                      "type": "integer",
                      "example": 123
                    },
                    "next": {
                      "type": "string",
                      "nullable": true,
                      "format": "uri",
                      "example": "http://api.example.org/accounts/?offset=400&limit=100"
                    },
                    "previous": {
                      "type": "string",
                      "nullable": true,
                      "format": "uri",
                      "example": "http://api.example.org/accounts/?offset=200&limit=100"
                    },
                    "results": {
                      "type": "array",
                      "items": {
                        "$ref": "#/components/schemas/Dashboard"
                      }
                    }
                  }
                }
              }
            },
            "description": ""
          },
          "400": {
            "$ref": "#/components/responses/BadRequest"
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          },
          "429": {
            "$ref": "#/components/responses/TooManyRequests"
          },
          "500": {
            "$ref": "#/components/responses/ServerError"
          }
        },
        "tags": [
          "Dashboard"
        ]
      }
    },
    "/api/internal/dashboard/{slug}/": {
      "get": {
        "summary": "Get dashboard",
        "operationId": "retrieveDashboard",
        "description": "",
        "parameters": [
          {
            "name": "slug",
            "in": "path",
            "required": true,
            "description": "",
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Dashboard"
                }
              }
            },
            "description": ""
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          },
          "404": {
            "$ref": "#/components/responses/NotFound"
          },
          "429": {
            "$ref": "#/components/responses/TooManyRequests"
          },
          "500": {
            "$ref": "#/components/responses/ServerError"
          }
        },
        "tags": [
          "Dashboard"
        ]
      }
    },
    "/api/internal/dashboard-report/{uuid}/": {
      "get": {
        "summary": "Get report",
        "operationId": "retrieveReport",
        "description": "",
        "parameters": [
          {
            "name": "uuid",
            "in": "path",
            "required": true,
            "description": "",
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Report"
                }
              }
            },
            "description": ""
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          },
          "404": {
            "$ref": "#/components/responses/NotFound"
          },
          "429": {
            "$ref": "#/components/responses/TooManyRequests"
          },
          "500": {
            "$ref": "#/components/responses/ServerError"
          }
        },
        "tags": [
          "Dashboard Reports"
        ]
      }
    },
    "/api/internal/market-finder/states/": {
      "get": {
        "summary": "List states",
        "operationId": "listStates",
        "description": "",
        "parameters": [],
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "total": {
                      "type": "integer"
                    },
                    "items": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "name": {
                            "type": "string"
                          },
                          "code": {
                            "type": "string"
                          },
                          "abbreviation": {
                            "type": "string"
                          },
                          "type": {
                            "type": "string"
                          }
                        }
                      }
                    }
                  }
                }
              }
            },
            "description": ""
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          },
          "429": {
            "$ref": "#/components/responses/TooManyRequests"
          },
          "500": {
            "$ref": "#/components/responses/ServerError"
          }
        },
        "tags": [
          "Market Map Geo"
        ]
      }
    },
    "/api/internal/market-finder/counties/": {
      "get": {
        "summary": "List counties (market finder counties)",
        "operationId": "listCounties_market_finder_counties",
        "description": "",
        "parameters": [],
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "total": {
                      "type": "integer"
                    },
                    "items": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "state": {
                            "type": "string"
                          },
                          "name": {
                            "type": "string"
                          },
                          "code": {
                            "type": "string"
                          },
                          "type": {
                            "type": "string"
                          }
                        }
                      }
                    }
                  }
                }
              }
            },
            "description": ""
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          },
          "429": {
            "$ref": "#/components/responses/TooManyRequests"
          },
          "500": {
            "$ref": "#/components/responses/ServerError"
          }
        },
        "tags": [
          "Market Map Geo"
        ]
      }
    },
    "/api/internal/market-finder/counties/zips/": {
      "get": {
        "summary": "List county zips",
        "operationId": "listCountyZips",
        "description": "",
        "parameters": [],
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "total": {
                      "type": "integer"
                    },
                    "items": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "zip_code": {
                            "type": "string"
                          },
                          "fips": {
                            "type": "string"
                          },
                          "state": {
                            "type": "string"
                          }
                        }
                      }
                    }
                  }
                }
              }
            },
            "description": ""
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          },
          "429": {
            "$ref": "#/components/responses/TooManyRequests"
          },
          "500": {
            "$ref": "#/components/responses/ServerError"
          }
        },
        "tags": [
          "Market Map Geo"
        ]
      }
    },
    "/api/internal/market-finder/counties/neighborhoods/": {
      "get": {
        "summary": "List county neighborhoods",
        "operationId": "listCountyNeighborhoods",
        "description": "",
        "parameters": [],
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {
                  "type": "array",
                  "items": {}
                }
              }
            },
            "description": ""
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          },
          "429": {
            "$ref": "#/components/responses/TooManyRequests"
          },
          "500": {
            "$ref": "#/components/responses/ServerError"
          }
        },
        "tags": [
          "Market Map Geo"
        ]
      }
    },
    "/api/internal/market-finder/metrics/": {
      "get": {
        "summary": "List market map metrics",
        "operationId": "listMarketMapMetrics",
        "description": "",
        "parameters": [],
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "median_property_value_nation_percent_rank": {
                      "type": "number"
                    },
                    "median_property_rental_value_nation_percent_rank": {
                      "type": "number"
                    },
                    "num_2000_or_newer_year_built": {
                      "type": "number"
                    },
                    "median_sale_price": {
                      "type": "number"
                    },
                    "market_strength_score": {
                      "type": "number"
                    },
                    "homes_on_market": {
                      "type": "number"
                    },
                    "number_of_homes_sold": {
                      "type": "number"
                    },
                    "num_property_value_boundary_1": {
                      "type": "number"
                    },
                    "num_property_value_boundary_3": {
                      "type": "number"
                    },
                    "num_property_value_boundary_2": {
                      "type": "number"
                    },
                    "num_property_value_boundary_5": {
                      "type": "number"
                    },
                    "num_property_value_boundary_4": {
                      "type": "number"
                    },
                    "num_transactions": {
                      "type": "number"
                    },
                    "num_3_bedroom": {
                      "type": "number"
                    },
                    "num_investor_transactions": {
                      "type": "number"
                    },
                    "median_property_rental_value_state_percent_rank": {
                      "type": "number"
                    },
                    "num_no_bedroom": {
                      "type": "number"
                    },
                    "num_1940_to_1969_year_built": {
                      "type": "number"
                    },
                    "num_4_bedroom": {
                      "type": "number"
                    },
                    "median_property_value_state_percent_rank": {
                      "type": "number"
                    },
                    "num_2_bedroom": {
                      "type": "number"
                    },
                    "median_property_rental_value": {
                      "type": "number"
                    },
                    "num_records_sold_on_market": {
                      "type": "number"
                    },
                    "num_1_bedroom": {
                      "type": "number"
                    },
                    "total_properties": {
                      "type": "number"
                    },
                    "num_1970_to_1999_year_built": {
                      "type": "number"
                    },
                    "num_property_value_boundary_7": {
                      "type": "number"
                    },
                    "num_property_value_boundary_6": {
                      "type": "number"
                    },
                    "median_days_on_market": {
                      "type": "number"
                    },
                    "num_property_value_boundary_8": {
                      "type": "number"
                    },
                    "gross_rental_yield": {
                      "type": "number"
                    },
                    "num_owners": {
                      "type": "number"
                    },
                    "num_renters": {
                      "type": "number"
                    },
                    "num_1939_or_older_year_built": {
                      "type": "number"
                    },
                    "median_monthly_investor_transactions": {
                      "type": "number"
                    },
                    "median_property_value": {
                      "type": "number"
                    },
                    "num_5_or_more_bedroom": {
                      "type": "number"
                    }
                  }
                }
              }
            },
            "description": ""
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          },
          "429": {
            "$ref": "#/components/responses/TooManyRequests"
          },
          "500": {
            "$ref": "#/components/responses/ServerError"
          }
        },
        "tags": [
          "Market Map"
        ]
      }
    },
    "/api/internal/market-finder/metrics/property-types/": {
      "get": {
        "summary": "List market map metrics by property types",
        "operationId": "listMarketMapMetricsByPropertyTypes",
        "description": "",
        "parameters": [],
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {
                  "type": "array",
                  "items": {}
                }
              }
            },
            "description": ""
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          },
          "429": {
            "$ref": "#/components/responses/TooManyRequests"
          },
          "500": {
            "$ref": "#/components/responses/ServerError"
          }
        },
        "tags": [
          "Market Map"
        ]
      }
    },
    "/api/internal/market-finder/paginated/": {
      "get": {
        "summary": "List market map paginateds",
        "operationId": "listMarketMapPaginateds",
        "description": "",
        "parameters": [],
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "data": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "property_fields": {
                            "type": "object",
                            "properties": {
                              "state": {
                                "type": "string"
                              },
                              "code": {
                                "type": "string"
                              }
                            }
                          },
                          "metrics": {
                            "type": "object",
                            "properties": {
                              "median_property_value_nation_percent_rank": {
                                "type": "number"
                              },
                              "median_property_rental_value_nation_percent_rank": {
                                "type": "number"
                              },
                              "num_2000_or_newer_year_built": {
                                "type": "number"
                              },
                              "median_sale_price": {
                                "type": "number"
                              },
                              "market_strength_score": {
                                "type": "number"
                              },
                              "homes_on_market": {
                                "type": "number"
                              },
                              "number_of_homes_sold": {
                                "type": "number"
                              },
                              "num_property_value_boundary_1": {
                                "type": "number"
                              },
                              "num_property_value_boundary_3": {
                                "type": "number"
                              },
                              "num_property_value_boundary_2": {
                                "type": "number"
                              },
                              "num_property_value_boundary_5": {
                                "type": "number"
                              },
                              "num_property_value_boundary_4": {
                                "type": "number"
                              },
                              "num_transactions": {
                                "type": "number"
                              },
                              "num_3_bedroom": {
                                "type": "number"
                              },
                              "num_investor_transactions": {
                                "type": "number"
                              },
                              "median_property_rental_value_state_percent_rank": {
                                "type": "number"
                              },
                              "num_no_bedroom": {
                                "type": "number"
                              },
                              "num_1940_to_1969_year_built": {
                                "type": "number"
                              },
                              "num_4_bedroom": {
                                "type": "number"
                              },
                              "median_property_value_state_percent_rank": {
                                "type": "number"
                              },
                              "num_2_bedroom": {
                                "type": "number"
                              },
                              "median_property_rental_value": {
                                "type": "number"
                              },
                              "num_records_sold_on_market": {
                                "type": "number"
                              },
                              "num_1_bedroom": {
                                "type": "number"
                              },
                              "total_properties": {
                                "type": "number"
                              },
                              "num_1970_to_1999_year_built": {
                                "type": "number"
                              },
                              "num_property_value_boundary_7": {
                                "type": "number"
                              },
                              "num_property_value_boundary_6": {
                                "type": "number"
                              },
                              "median_days_on_market": {
                                "type": "number"
                              },
                              "num_property_value_boundary_8": {
                                "type": "number"
                              },
                              "gross_rental_yield": {
                                "type": "number"
                              },
                              "num_owners": {
                                "type": "number"
                              },
                              "num_renters": {
                                "type": "number"
                              },
                              "num_1939_or_older_year_built": {
                                "type": "number"
                              },
                              "median_monthly_investor_transactions": {
                                "type": "number"
                              },
                              "median_property_value": {
                                "type": "number"
                              },
                              "num_5_or_more_bedroom": {
                                "type": "number"
                              }
                            }
                          }
                        }
                      }
                    },
                    "total": {
                      "type": "integer"
                    },
                    "geoGroup": {
                      "type": "string"
                    }
                  }
                }
              }
            },
            "description": ""
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          },
          "429": {
            "$ref": "#/components/responses/TooManyRequests"
          },
          "500": {
            "$ref": "#/components/responses/ServerError"
          }
        },
        "tags": [
          "Market Map"
        ]
      }
    },
    "/api/internal/market-finder/boundaries/": {
      "get": {
        "summary": "List market map boundaries",
        "operationId": "listMarketMapBoundaries",
        "description": "",
        "parameters": [],
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {
                  "type": "array",
                  "items": {}
                }
              }
            },
            "description": ""
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          },
          "429": {
            "$ref": "#/components/responses/TooManyRequests"
          },
          "500": {
            "$ref": "#/components/responses/ServerError"
          }
        },
        "tags": [
          "Market Map"
        ]
      }
    },
    "/api/internal/market-finder/buy-box/recommendations/": {
      "get": {
        "summary": "List buy box recommendations",
        "operationId": "listBuyBoxRecommendations",
        "description": "",
        "parameters": [],
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "total": {
                      "type": "integer"
                    },
                    "data": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "fips": {
                            "type": "string"
                          },
                          "area_building_low": {
                            "type": "integer"
                          },
                          "area_building_high": {
                            "type": "integer"
                          },
                          "year_built_low": {
                            "type": "integer"
                          },
                          "year_built_high": {
                            "type": "integer"
                          },
                          "property_value_low": {
                            "type": "integer"
                          },
                          "property_value_high": {
                            "type": "integer"
                          },
                          "bath_count_low": {
                            "type": "integer"
                          },
                          "bath_count_high": {
                            "type": "integer"
                          },
                          "bedrooms_count_low": {
                            "type": "integer"
                          },
                          "bedrooms_count_high": {
                            "type": "integer"
                          },
                          "living_area_sqft_low": {
                            "type": "integer"
                          },
                          "living_area_sqft_high": {
                            "type": "integer"
                          }
                        }
                      }
                    }
                  }
                }
              }
            },
            "description": ""
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          },
          "429": {
            "$ref": "#/components/responses/TooManyRequests"
          },
          "500": {
            "$ref": "#/components/responses/ServerError"
          }
        },
        "tags": [
          "Buy Box"
        ]
      }
    },
    "/api/internal/market-finder/buy-box/metrics/": {
      "get": {
        "summary": "List buy box metrics",
        "operationId": "listBuyBoxMetrics",
        "description": "",
        "parameters": [],
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {
                  "type": "array",
                  "items": {}
                }
              }
            },
            "description": ""
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          },
          "429": {
            "$ref": "#/components/responses/TooManyRequests"
          },
          "500": {
            "$ref": "#/components/responses/ServerError"
          }
        },
        "tags": [
          "Buy Box"
        ]
      }
    },
    "/api/internal/market-finder/back-testing/filters/": {
      "get": {
        "summary": "List back testing filters",
        "operationId": "listBackTestingFilters",
        "description": "",
        "parameters": [],
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {
                  "type": "array",
                  "items": {}
                }
              }
            },
            "description": ""
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          },
          "429": {
            "$ref": "#/components/responses/TooManyRequests"
          },
          "500": {
            "$ref": "#/components/responses/ServerError"
          }
        },
        "tags": [
          "Sold Properties"
        ]
      }
    },
    "/api/internal/market-finder/back-testing/conversion/": {
      "get": {
        "summary": "List back testing conversions",
        "operationId": "listBackTestingConversions",
        "description": "",
        "parameters": [],
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {
                  "type": "array",
                  "items": {}
                }
              }
            },
            "description": ""
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          },
          "429": {
            "$ref": "#/components/responses/TooManyRequests"
          },
          "500": {
            "$ref": "#/components/responses/ServerError"
          }
        },
        "tags": [
          "Sold Properties"
        ]
      }
    },
    "/api/internal/market-finder/back-testing/insights/": {
      "get": {
        "summary": "List back testing insights",
        "operationId": "listBackTestingInsights",
        "description": "",
        "parameters": [],
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {
                  "type": "array",
                  "items": {}
                }
              }
            },
            "description": ""
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          },
          "429": {
            "$ref": "#/components/responses/TooManyRequests"
          },
          "500": {
            "$ref": "#/components/responses/ServerError"
          }
        },
        "tags": [
          "Sold Properties"
        ]
      }
    },
    "/api/internal/market-finder/back-testing/properties/": {
      "get": {
        "summary": "List back testing properties",
        "operationId": "listBackTestingProperties",
        "description": "",
        "parameters": [],
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {
                  "type": "array",
                  "items": {}
                }
              }
            },
            "description": ""
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          },
          "429": {
            "$ref": "#/components/responses/TooManyRequests"
          },
          "500": {
            "$ref": "#/components/responses/ServerError"
          }
        },
        "tags": [
          "Sold Properties"
        ]
      }
    },
    "/api/internal/filter-preset/{filter_preset_uuid}/scheduled-export/": {
      "get": {
        "summary": "Get filter preset scheduled export",
        "operationId": "retrieveFilterPresetScheduledExport",
        "description": "",
        "parameters": [
          {
            "name": "filter_preset_uuid",
            "in": "path",
            "required": true,
            "description": "",
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/FilterPresetScheduledExport"
                }
              }
            },
            "description": ""
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          },
          "404": {
            "$ref": "#/components/responses/NotFound"
          },
          "429": {
            "$ref": "#/components/responses/TooManyRequests"
          },
          "500": {
            "$ref": "#/components/responses/ServerError"
          }
        },
        "tags": [
          "FilterPresets"
        ]
      },
      "post": {
        "summary": "Create filter preset scheduled export",
        "operationId": "createFilterPresetScheduledExport",
        "description": "",
        "parameters": [
          {
            "name": "filter_preset_uuid",
            "in": "path",
            "required": true,
            "description": "",
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/FilterPresetScheduledExport"
              }
            },
            "application/x-www-form-urlencoded": {
              "schema": {
                "$ref": "#/components/schemas/FilterPresetScheduledExport"
              }
            }
          }
        },
        "responses": {
          "201": {
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/FilterPresetScheduledExport"
                }
              }
            },
            "description": ""
          },
          "400": {
            "$ref": "#/components/responses/BadRequest"
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          },
          "404": {
            "$ref": "#/components/responses/NotFound"
          },
          "429": {
            "$ref": "#/components/responses/TooManyRequests"
          },
          "500": {
            "$ref": "#/components/responses/ServerError"
          }
        },
        "tags": [
          "FilterPresets"
        ]
      },
      "patch": {
        "summary": "Update filter preset scheduled export",
        "operationId": "partialUpdateFilterPresetScheduledExport",
        "description": "",
        "parameters": [
          {
            "name": "filter_preset_uuid",
            "in": "path",
            "required": true,
            "description": "",
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/FilterPresetScheduledExport"
              }
            },
            "application/x-www-form-urlencoded": {
              "schema": {
                "$ref": "#/components/schemas/FilterPresetScheduledExport"
              }
            }
          }
        },
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/FilterPresetScheduledExport"
                }
              }
            },
            "description": ""
          },
          "400": {
            "$ref": "#/components/responses/BadRequest"
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          },
          "404": {
            "$ref": "#/components/responses/NotFound"
          },
          "429": {
            "$ref": "#/components/responses/TooManyRequests"
          },
          "500": {
            "$ref": "#/components/responses/ServerError"
          }
        },
        "tags": [
          "FilterPresets"
        ]
      },
      "delete": {
        "summary": "Delete filter preset scheduled export",
        "operationId": "destroyFilterPresetScheduledExport",
        "description": "",
        "parameters": [
          {
            "name": "filter_preset_uuid",
            "in": "path",
            "required": true,
            "description": "",
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "204": {
            "description": ""
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          },
          "404": {
            "$ref": "#/components/responses/NotFound"
          },
          "429": {
            "$ref": "#/components/responses/TooManyRequests"
          },
          "500": {
            "$ref": "#/components/responses/ServerError"
          }
        },
        "tags": [
          "FilterPresets"
        ]
      }
    },
    "/api/internal/list/": {
      "get": {
        "summary": "List lists",
        "operationId": "listLists",
        "description": "",
        "parameters": [
          {
            "name": "limit",
            "required": false,
            "in": "query",
            "description": "Number of results to return per page.",
            "schema": {
              "type": "integer"
            }
          },
          {
            "name": "offset",
            "required": false,
            "in": "query",
            "description": "The initial index from which to return the results.",
            "schema": {
              "type": "integer"
            }
          },
          {
            "name": "count",
            "in": "query",
            "description": "If count is equal 1 returns the property count per List otherwise properties_count is null",
            "required": false,
            "schema": {
              "type": "integer"
            }
          },
          {
            "name": "ordering",
            "in": "query",
            "description": "Sorts the result by the specified value, add - for descending order, eg. ordering=-title",
            "required": false,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "required": [
                    "count",
                    "results"
                  ],
                  "properties": {
                    "count": {
                      "type": "integer",
                      "example": 123
                    },
                    "next": {
                      "type": "string",
                      "nullable": true,
                      "format": "uri",
                      "example": "http://api.example.org/accounts/?offset=400&limit=100"
                    },
                    "previous": {
                      "type": "string",
                      "nullable": true,
                      "format": "uri",
                      "example": "http://api.example.org/accounts/?offset=200&limit=100"
                    },
                    "results": {
                      "type": "array",
                      "items": {
                        "$ref": "#/components/schemas/List"
                      }
                    }
                  }
                },
                "example": {
                  "count": 134,
                  "next": "https://apiv2.reisift.io/api/internal/list/?limit=2&offset=15",
                  "previous": null,
                  "results": [
                    {
                      "uuid": "812cf8b5-4c3e-594e-8b47-c0a8389d3ffd",
                      "title": "Limit test - Citrus Condo <100k 2026-10-09",
                      "properties_count": null
                    },
                    {
                      "uuid": "950dbbda-a22c-559b-933e-9c88fc18629d",
                      "title": "Limit test - Okaloosa SFH 2026-10-09",
                      "properties_count": null
                    }
                  ]
                }
              }
            },
            "description": ""
          },
          "400": {
            "$ref": "#/components/responses/BadRequest"
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          },
          "429": {
            "$ref": "#/components/responses/TooManyRequests"
          },
          "500": {
            "$ref": "#/components/responses/ServerError"
          }
        },
        "tags": [
          "Custom Lists"
        ]
      },
      "post": {
        "summary": "Create list",
        "operationId": "createList",
        "description": "",
        "parameters": [],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/List"
              }
            },
            "application/x-www-form-urlencoded": {
              "schema": {
                "$ref": "#/components/schemas/List"
              }
            }
          }
        },
        "responses": {
          "201": {
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/List"
                }
              }
            },
            "description": ""
          },
          "400": {
            "$ref": "#/components/responses/BadRequest"
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          },
          "429": {
            "$ref": "#/components/responses/TooManyRequests"
          },
          "500": {
            "$ref": "#/components/responses/ServerError"
          }
        },
        "tags": [
          "Custom Lists"
        ]
      }
    },
    "/api/internal/list/{uuid}/": {
      "get": {
        "summary": "Get list",
        "operationId": "retrieveList",
        "description": "",
        "parameters": [
          {
            "name": "uuid",
            "in": "path",
            "required": true,
            "description": "",
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/List"
                },
                "example": {
                  "uuid": "812cf8b5-4c3e-594e-8b47-c0a8389d3ffd",
                  "title": "Limit test - Citrus Condo <100k 2026-10-09",
                  "properties_count": null
                }
              }
            },
            "description": ""
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          },
          "404": {
            "$ref": "#/components/responses/NotFound"
          },
          "429": {
            "$ref": "#/components/responses/TooManyRequests"
          },
          "500": {
            "$ref": "#/components/responses/ServerError"
          }
        },
        "tags": [
          "Custom Lists"
        ]
      },
      "patch": {
        "summary": "Update list",
        "operationId": "partialUpdateList",
        "description": "",
        "parameters": [
          {
            "name": "uuid",
            "in": "path",
            "required": true,
            "description": "",
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/List"
              }
            },
            "application/x-www-form-urlencoded": {
              "schema": {
                "$ref": "#/components/schemas/List"
              }
            }
          }
        },
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/List"
                }
              }
            },
            "description": ""
          },
          "400": {
            "$ref": "#/components/responses/BadRequest"
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          },
          "404": {
            "$ref": "#/components/responses/NotFound"
          },
          "429": {
            "$ref": "#/components/responses/TooManyRequests"
          },
          "500": {
            "$ref": "#/components/responses/ServerError"
          }
        },
        "tags": [
          "Custom Lists"
        ]
      },
      "delete": {
        "summary": "Delete list",
        "operationId": "destroyList",
        "description": "",
        "parameters": [
          {
            "name": "uuid",
            "in": "path",
            "required": true,
            "description": "",
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "204": {
            "description": ""
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          },
          "404": {
            "$ref": "#/components/responses/NotFound"
          },
          "429": {
            "$ref": "#/components/responses/TooManyRequests"
          },
          "500": {
            "$ref": "#/components/responses/ServerError"
          }
        },
        "tags": [
          "Custom Lists"
        ]
      }
    },
    "/api/internal/list/{uuid}/properties-count/": {
      "get": {
        "summary": "Properties count list",
        "operationId": "propertiesCountList",
        "description": "",
        "parameters": [
          {
            "name": "uuid",
            "in": "path",
            "required": true,
            "description": "",
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Properties on this list.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "count": {
                      "type": "integer"
                    }
                  }
                }
              }
            }
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          },
          "404": {
            "$ref": "#/components/responses/NotFound"
          },
          "429": {
            "$ref": "#/components/responses/TooManyRequests"
          },
          "500": {
            "$ref": "#/components/responses/ServerError"
          }
        },
        "tags": [
          "Custom Lists"
        ]
      }
    },
    "/api/internal/system-list/": {
      "get": {
        "summary": "List system lists",
        "operationId": "listSystemLists",
        "description": "Read-only System Lists catalog. Writes are not supported.",
        "parameters": [
          {
            "name": "limit",
            "required": false,
            "in": "query",
            "description": "Number of results to return per page.",
            "schema": {
              "type": "integer"
            }
          },
          {
            "name": "offset",
            "required": false,
            "in": "query",
            "description": "The initial index from which to return the results.",
            "schema": {
              "type": "integer"
            }
          },
          {
            "name": "count",
            "in": "query",
            "description": "If count is equal 1 returns the property count per System List otherwise properties_count is null",
            "required": false,
            "schema": {
              "type": "integer"
            }
          },
          {
            "name": "ordering",
            "in": "query",
            "description": "Sorts the result by the specified value, add - for descending order, eg. ordering=-title",
            "required": false,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "required": [
                    "count",
                    "results"
                  ],
                  "properties": {
                    "count": {
                      "type": "integer",
                      "example": 123
                    },
                    "next": {
                      "type": "string",
                      "nullable": true,
                      "format": "uri",
                      "example": "http://api.example.org/accounts/?offset=400&limit=100"
                    },
                    "previous": {
                      "type": "string",
                      "nullable": true,
                      "format": "uri",
                      "example": "http://api.example.org/accounts/?offset=200&limit=100"
                    },
                    "results": {
                      "type": "array",
                      "items": {
                        "$ref": "#/components/schemas/SystemList"
                      }
                    }
                  }
                }
              }
            },
            "description": ""
          },
          "400": {
            "$ref": "#/components/responses/BadRequest"
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          },
          "429": {
            "$ref": "#/components/responses/TooManyRequests"
          },
          "500": {
            "$ref": "#/components/responses/ServerError"
          }
        },
        "tags": [
          "System Lists"
        ]
      }
    },
    "/api/internal/system-list/{uuid}/": {
      "get": {
        "summary": "Get system list",
        "operationId": "retrieveSystemList",
        "description": "Read-only System Lists catalog. Writes are not supported.",
        "parameters": [
          {
            "name": "uuid",
            "in": "path",
            "required": true,
            "description": "",
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/SystemList"
                }
              }
            },
            "description": ""
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
[...]
